MCP Tools Reference: ces.googleapis.com

工具:list_apps

列出指定專案和位置中的應用程式。

下列範例示範如何使用 curl 叫用 list_apps MCP 工具。

Curl 要求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_apps",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

AgentService.ListApps 的要求訊息。

ListAppsRequest

JSON 表示法
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
欄位
parent

string

這是必要旗標,要列出應用程式的位置資源名稱。

pageSize

integer

選用。要求的頁面大小。伺服器傳回的項目數量可能會少於要求數量。如未指定,伺服器會挑選適當的預設值。

pageToken

string

選用。先前的清單 AgentService.ListApps 呼叫傳回的 next_page_token 值。

filter

string

選用。列出應用程式時套用的篩選器。詳情請參閱 https://google.aip.dev/160

orderBy

string

選用。用於排序的欄位。僅支援「name」和「create_time」。詳情請參閱 https://google.aip.dev/132#ordering

輸出內容的結構定義

AgentService.ListApps 的回應訊息。

ListAppsResponse

JSON 表示法
{
  "apps": [
    {
      object (App)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
欄位
apps[]

object (App)

應用程式清單。

nextPageToken

string

可做為 ListAppsRequest.page_token 傳送的權杖,用於擷取後續網頁。如果沒有這個欄位,表示沒有後續頁面。

unreachable[]

string

未排序的清單。無法連線的位置。

應用程式

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "pinned": boolean,
  "rootAgent": string,
  "languageSettings": {
    object (LanguageSettings)
  },
  "timeZoneSettings": {
    object (TimeZoneSettings)
  },
  "audioProcessingConfig": {
    object (AudioProcessingConfig)
  },
  "loggingSettings": {
    object (LoggingSettings)
  },
  "errorHandlingSettings": {
    object (ErrorHandlingSettings)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "toolExecutionMode": enum (ToolExecutionMode),
  "evaluationMetricsThresholds": {
    object (EvaluationMetricsThresholds)
  },
  "variableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "predefinedVariableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "globalInstruction": string,
  "guardrails": [
    string
  ],
  "dataStoreSettings": {
    object (DataStoreSettings)
  },
  "defaultChannelProfile": {
    object (ChannelProfile)
  },
  "metadata": {
    string: string,
    ...
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "deploymentCount": integer,
  "clientCertificateSettings": {
    object (ClientCertificateSettings)
  },
  "locked": boolean
}
欄位
name

string

ID。應用程式的專屬 ID。格式:projects/{project}/locations/{location}/apps/{app}

displayName

string

這是必要旗標,應用程式的顯示名稱。

description

string

選用。使用者可理解的應用程式說明。

pinned

boolean

選用。應用程式是否已固定在應用程式清單中。

rootAgent

string

選用。根代理程式是應用程式的進入點。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

languageSettings

object (LanguageSettings)

選用。應用程式的語言設定。

timeZoneSettings

object (TimeZoneSettings)

選用。應用程式的時區設定。

audioProcessingConfig

object (AudioProcessingConfig)

選用。應用程式的音訊處理設定。

loggingSettings

object (LoggingSettings)

選用。應用程式的記錄設定。

errorHandlingSettings

object (ErrorHandlingSettings)

選用。應用程式的錯誤處理設定。

modelSettings

object (ModelSettings)

選用。應用程式的預設 LLM 模型設定。個別資源 (例如代理程式、安全防護措施) 可視需要覆寫這些設定。

toolExecutionMode

enum (ToolExecutionMode)

選用。應用程式的工具執行模式。如未提供,則預設為 PARALLEL。

evaluationMetricsThresholds

object (EvaluationMetricsThresholds)

選用。應用程式的評估門檻。

variableDeclarations[]

object (VariableDeclaration)

選用。變數的宣告。

predefinedVariableDeclarations[]

object (VariableDeclaration)

僅供輸出。應用程式預先定義變數的宣告。

globalInstruction

string

選用。應用程式中所有代理程式的指令。您可以使用這項指令,為所有代理程式設定穩定的身分或個性。

guardrails[]

string

選用。應用程式的防護措施清單。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

dataStoreSettings

object (DataStoreSettings)

選用。應用程式的資料儲存庫設定。

defaultChannelProfile

object (ChannelProfile)

選用。應用程式使用的預設頻道設定檔。

metadata

map (key: string, value: string)

選用。應用程式的中繼資料。這個欄位可用於儲存與應用程式詳細資料或預期用途相關的其他資訊。

包含 "key": value 組合清單的物件,例如 { "name": "wrench", "mass": "1.3kg", "count": "3" }

createTime

string (Timestamp format)

僅供輸出。應用程式的建立時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

僅供輸出。應用程式上次更新的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

etag

string

僅供輸出。Etag 用於確保物件在讀取 - 修改 - 寫入作業期間未變更。如果 etag 為空,更新作業會覆寫任何並行變更。

deploymentCount

integer

僅供輸出。應用程式中的部署次數。

clientCertificateSettings

object (ClientCertificateSettings)

選用。應用程式的預設用戶端憑證設定。

locked

boolean

選用。指出應用程式是否已鎖定,無法進行變更。如果應用程式已鎖定,系統會拒絕修改應用程式資源。

LanguageSettings

JSON 表示法
{
  "defaultLanguageCode": string,
  "supportedLanguageCodes": [
    string
  ],
  "enableMultilingualSupport": boolean,
  "fallbackAction": string
}
欄位
defaultLanguageCode

string

選用。應用程式的預設語言代碼。

supportedLanguageCodes[]

string

選用。應用程式支援的語言代碼清單 (default_language_code 除外)。

enableMultilingualSupport

boolean

選用。啟用多語言支援。如果設為 true,應用程式中的代理程式會使用預先建構的指令,提升多語言輸入內容的處理品質。

fallbackAction

string

選用。代理程式收到不支援語言的輸入內容時,應執行的動作。

這可以是預先定義的動作或自訂工具呼叫。有效值包括:- 工具的完整資源名稱,可觸發特定工具執行作業。- 預先定義的系統動作,例如「升級」或「結束」,這類動作會觸發 EndSession 信號和相應的 metadata,以終止對話。

TimeZoneSettings

JSON 表示法
{
  "timeZone": string
}
欄位
timeZone

string

選用。應用程式的時區 (取自時區資料庫),例如 America/Los_Angeles、Europe/Paris。

AudioProcessingConfig

JSON 表示法
{
  "synthesizeSpeechConfigs": {
    string: {
      object (SynthesizeSpeechConfig)
    },
    ...
  },
  "bargeInConfig": {
    object (BargeInConfig)
  },
  "inactivityTimeout": string,
  "ambientSoundConfig": {
    object (AmbientSoundConfig)
  }
}
欄位
synthesizeSpeechConfigs

map (key: string, value: object (SynthesizeSpeechConfig))

選用。代理程式回應的合成方式設定,從語言代碼對應至 SynthesizeSpeechConfig

如果系統找不到指定語言代碼的設定,就會使用根語言代碼的設定。舉例來說,如果地圖包含「en-us」和「en」,且指定的語言代碼為「en-gb」,則會使用「en」設定。

注意:語言代碼不區分大小寫。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

bargeInConfig

object (BargeInConfig)

選用。設定使用者插話活動的服務專員行為。

inactivityTimeout

string (Duration format)

選用。代理程式提示使用者重新互動前,使用者無活動 (沒有語音或互動) 的時間長度。如未設定,服務專員不會提示使用者重新參與對話。

時間長度以秒為單位,最多可有 9 個小數位數,並應以「s」結尾,例如:"3.5s"

ambientSoundConfig

object (AmbientSoundConfig)

選用。設定要與合成的代理程式回覆內容一起播放的環境音效,提升對話的自然程度。

SynthesizeSpeechConfigsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (SynthesizeSpeechConfig)
  }
}
欄位
key

string

value

object (SynthesizeSpeechConfig)

SynthesizeSpeechConfig

JSON 表示法
{
  "voice": string,
  "speakingRate": number
}
欄位
voice

string

選用。語音的名稱。如未設定,服務會根據其他參數 (例如 language_code) 選擇語音。

如需可用語音清單,請參閱 Cloud Text-to-Speech 的「支援的語音和語言」。

speakingRate

number

選用。語音速率/速度,範圍為 [0.25, 2.0]。1.0 為特定語音支援的正常原生速度。2.0 為兩倍速,0.5 為一半的速度。如果值超出 [0.25, 2.0] 範圍,系統會傳回錯誤。

BargeInConfig

JSON 表示法
{
  "disableBargeIn": boolean,
  "bargeInAwareness": boolean
}
欄位
disableBargeIn
(deprecated)

boolean

選用。在代理程式說話時,禁止使用者插話。如果為 true,系統會忽略代理程式回應播放期間的使用者輸入內容。

已淘汰:disable_barge_in 已淘汰,改用 ChannelProfile 中的 disable_barge_in_control

bargeInAwareness

boolean

選用。如果啟用這項功能,代理程式會根據使用者未完整聽到先前代理程式訊息的假設,調整下一個回覆。如果服務專員的回覆會以視覺化方式顯示,請勿使用這項功能。

時間長度

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

時間範圍的簽署秒數。必須介於 -315,576,000,000 到 +315,576,000,000 之間 (含這兩個值)。注意:這些界限是根據以下公式計算得出:60 秒/分鐘 * 60 分鐘/小時 * 24 小時/天 * 365.25 天/年 * 10000 年

nanos

integer

時間跨度的小數部分 (以奈秒為單位),可為正數或負數。如果時間長度不到一秒,系統會以 0 seconds 欄位和正數或負數 nanos 欄位表示。如果時間長度為一秒以上,nanos 欄位的非零值必須與 seconds 欄位相同。值必須介於 -999,999,999 和 +999,999,999 之間 (含)。

AmbientSoundConfig

JSON 表示法
{
  "volumeGainDb": number,

  // Union field source can be only one of the following:
  "prebuiltAmbientNoise": enum (PrebuiltAmbientNoise),
  "gcsUri": string,
  "prebuiltAmbientSound": string
  // End of list of possible types for union field source.
}
欄位
volumeGainDb

number

選用。正常原生音量 (以 dB 為單位) 的音量增益,支援環境噪音,範圍為 [-96.0, 16.0]。如果設為 0.0 (dB) 或不予設定,系統會以正常原生訊號振幅播放。如果設為 -6.0 (dB),系統會以約為正常原生訊號振幅的一半振幅播放。如果設為 +6.0 (dB),系統會以約為正常原生訊號振幅的兩倍振幅播放。強烈建議您不要設定超過 +10 (dB) 的值,因為在超過這個值之後,通常就無法有效提高音量。

聯集欄位 source。與合成的代理程式回覆一起播放的環境噪音,可提升對話的自然度。source 只能是下列其中一個設定:
prebuiltAmbientNoise
(deprecated)

enum (PrebuiltAmbientNoise)

選用。已淘汰:prebuilt_ambient_noise 已淘汰,請改用 prebuilt_ambient_sound

gcsUri

string

選用。儲存在 Cloud Storage 中的單聲道 16 kHz WAV 檔案,做為環境噪音。

注意:請確認 CES 服務代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 具有 Cloud Storage 物件的 storage.objects.get 權限。

prebuiltAmbientSound

string

選用。預先建構的環境音效名稱。有效值包括:-「coffee_shop」-「keyboard」-「keypad」-「hum」-「office_1」-「office_2」-「office_3」-「room_1」-「room_2」-「room_3」-「room_4」-「room_5」-「air_conditioner」

LoggingSettings

JSON 表示法
{
  "redactionConfig": {
    object (RedactionConfig)
  },
  "audioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "bigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "cloudLoggingSettings": {
    object (CloudLoggingSettings)
  },
  "conversationLoggingSettings": {
    object (ConversationLoggingSettings)
  },
  "evaluationAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "metricAnalysisSettings": {
    object (MetricAnalysisSettings)
  }
}
欄位
redactionConfig

object (RedactionConfig)

選用。如何遮蓋機密資料的設定。

audioRecordingConfig

object (AudioRecordingConfig)

選用。設定如何記錄語音互動。

bigqueryExportSettings

object (BigQueryExportSettings)

選用。設定,用於說明應用程式的 BigQuery Export 行為。啟用後,對話資料會匯出至 BigQuery 資料表。

cloudLoggingSettings

object (CloudLoggingSettings)

選用。用於說明應用程式 Cloud Logging 行為的設定。

conversationLoggingSettings

object (ConversationLoggingSettings)

選用。用來描述應用程式對話記錄行為的設定。

evaluationAudioRecordingConfig

object (AudioRecordingConfig)

選用。設定如何記錄音訊互動以供評估。根據預設,評估工作階段不會啟用錄音功能。

metricAnalysisSettings

object (MetricAnalysisSettings)

選用。設定,用於說明應用程式的 LLM 分析管道的對話資料收集行為。

RedactionConfig

JSON 表示法
{
  "enableRedaction": boolean,
  "inspectTemplate": string,
  "deidentifyTemplate": string
}
欄位
enableRedaction

boolean

選用。如為 true,系統會在各種記錄情境中套用遮蓋功能,包括對話記錄、Cloud Logging 和錄音。

inspectTemplate

string

選用。DLP 檢查範本名稱,設定機密資料類型偵測作業。

格式:projects/{project}/locations/{location}/inspectTemplates/{inspect_template}

deidentifyTemplate

string

選用。DLP 去識別化範本名稱,用於指示如何將內容去識別化。

格式:projects/{project}/locations/{location}/deidentifyTemplates/{deidentify_template}

AudioRecordingConfig

JSON 表示法
{
  "gcsBucket": string,
  "gcsPathPrefix": string
}
欄位
gcsBucket

string

選用。用來儲存通話錄音的 Cloud Storage bucket。URI 的開頭必須為「gs://」。

請選擇符合資料落地要求的 bucket 位置。

注意:如果 Cloud Storage 值區與應用程式位於不同專案,請將 storage.objects.create 權限授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com

gcsPathPrefix

string

選用。錄音的 Cloud Storage 路徑前置字串。

前置字串可包含下列預留位置,系統會在放送時動態替換: - $project:專案 ID - $location:應用程式位置 - $app:應用程式 ID - $date:工作階段日期,格式為 YYYY-MM-DD - $session:工作階段 ID

如果未指定路徑前置字串,系統會使用預設前置字串 $project/$location/$app/$date/$session/

BigQueryExportSettings

JSON 表示法
{
  "enabled": boolean,
  "project": string,
  "dataset": string
}
欄位
enabled

boolean

選用。指出是否已啟用 BigQuery 匯出功能。

project

string

選用。要匯出資料的 BigQuery 資料集專案 ID。

注意:如果 BigQuery 資料集與應用程式位於不同專案,請將 roles/bigquery.admin 角色授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com

dataset

string

選用。要將資料匯出至哪個 BigQuery 資料集。

CloudLoggingSettings

JSON 表示法
{
  "enableCloudLogging": boolean
}
欄位
enableCloudLogging

boolean

選用。是否為工作階段啟用 Cloud Logging。

ConversationLoggingSettings

JSON 表示法
{
  "disableConversationLogging": boolean
}
欄位
disableConversationLogging

boolean

選用。是否要停用工作階段的對話記錄功能。

MetricAnalysisSettings

JSON 表示法
{
  "llmMetricsOptedOut": boolean
}
欄位
llmMetricsOptedOut

boolean

選用。是否要收集對話資料,以取得 LLM 分析指標。如果為 true,系統就不會收集對話資料,以用於 LLM 分析指標;否則系統會收集對話資料。

ErrorHandlingSettings

JSON 表示法
{
  "errorHandlingStrategy": enum (ErrorHandlingStrategy)
}
欄位
errorHandlingStrategy

enum (ErrorHandlingStrategy)

選用。用於錯誤處理的策略。

ModelSettings

JSON 表示法
{
  "model": string,

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理程式應使用的 LLM 模型。如未設定,代理程式會沿用上層代理程式的模型。

聯集欄位 _temperature

_temperature 只能是下列其中一項:

temperature

number

選用。如果設定這項引數,LLM 模型就會使用這個溫度。溫度會控制模型回覆的隨機程度。溫度越低,生成的回覆就越容易預測。溫度越高,生成的回覆就越有創意。

EvaluationMetricsThresholds

JSON 表示法
{
  "goldenEvaluationMetricsThresholds": {
    object (GoldenEvaluationMetricsThresholds)
  },
  "hallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "goldenHallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "scenarioHallucinationMetricBehavior": enum (HallucinationMetricBehavior)
}
欄位
goldenEvaluationMetricsThresholds

object (GoldenEvaluationMetricsThresholds)

選用。黃金評估指標門檻。

hallucinationMetricBehavior
(deprecated)

enum (HallucinationMetricBehavior)

選用。已淘汰:請改用 golden_hallucination_metric_behavior。目前黃金評估會使用幻覺指標行為。

goldenHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。黃金評估的幻覺指標行為。

scenarioHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。情境評估的錯覺指標行為。

GoldenEvaluationMetricsThresholds

JSON 表示法
{
  "turnLevelMetricsThresholds": {
    object (TurnLevelMetricsThresholds)
  },
  "expectationLevelMetricsThresholds": {
    object (ExpectationLevelMetricsThresholds)
  },
  "toolMatchingSettings": {
    object (ToolMatchingSettings)
  }
}
欄位
turnLevelMetricsThresholds

object (TurnLevelMetricsThresholds)

選用。回合層級指標的門檻。

expectationLevelMetricsThresholds

object (ExpectationLevelMetricsThresholds)

選用。預期等級指標門檻。

toolMatchingSettings

object (ToolMatchingSettings)

選用。工具比對設定。額外工具呼叫是指執行作業中出現的工具呼叫,但與黃金期望中的任何工具呼叫都不相符。

TurnLevelMetricsThresholds

JSON 表示法
{
  "semanticSimilarityChannel": enum (SemanticSimilarityChannel),

  // Union field _semantic_similarity_success_threshold can be only one of the
  // following:
  "semanticSimilaritySuccessThreshold": integer
  // End of list of possible types for union field
  // _semantic_similarity_success_threshold.

  // Union field _overall_tool_invocation_correctness_threshold can be only one
  // of the following:
  "overallToolInvocationCorrectnessThreshold": number
  // End of list of possible types for union field
  // _overall_tool_invocation_correctness_threshold.
}
欄位
semanticSimilarityChannel

enum (SemanticSimilarityChannel)

選用。用於評估的語意相似度管道。

聯集欄位 _semantic_similarity_success_threshold

_semantic_similarity_success_threshold 只能是下列其中一項:

semanticSimilaritySuccessThreshold

integer

選用。語意相似度的成功門檻。必須是介於 0 到 4 之間的整數。預設值為 >= 3。

聯集欄位 _overall_tool_invocation_correctness_threshold

_overall_tool_invocation_correctness_threshold 只能是下列其中一項:

overallToolInvocationCorrectnessThreshold

number

選用。工具整體叫用正確性的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ExpectationLevelMetricsThresholds

JSON 表示法
{

  // Union field _tool_invocation_parameter_correctness_threshold can be only one
  // of the following:
  "toolInvocationParameterCorrectnessThreshold": number
  // End of list of possible types for union field
  // _tool_invocation_parameter_correctness_threshold.
}
欄位

聯集欄位 _tool_invocation_parameter_correctness_threshold

_tool_invocation_parameter_correctness_threshold 只能是下列其中一項:

toolInvocationParameterCorrectnessThreshold

number

選用。個別工具叫用參數正確性的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ToolMatchingSettings

JSON 表示法
{
  "extraToolCallBehavior": enum (ExtraToolCallBehavior)
}
欄位
extraToolCallBehavior

enum (ExtraToolCallBehavior)

選用。額外工具呼叫的行為。預設值為 FAIL。

VariableDeclaration

JSON 表示法
{
  "name": string,
  "description": string,
  "schema": {
    object (Schema)
  }
}
欄位
name

string

這是必要旗標,變數名稱。名稱開頭須為英文字母或底線,且只能由英文字母、數字或底線組成。

description

string

這是必要旗標,變數說明。

schema

object (Schema)

這是必要旗標,變數的結構定義。

結構定義

JSON 表示法
{
  "type": enum (Type),
  "properties": {
    string: {
      object (Schema)
    },
    ...
  },
  "required": [
    string
  ],
  "description": string,
  "items": {
    object (Schema)
  },
  "nullable": boolean,
  "uniqueItems": boolean,
  "prefixItems": [
    {
      object (Schema)
    }
  ],
  "additionalProperties": {
    object (Schema)
  },
  "anyOf": [
    {
      object (Schema)
    }
  ],
  "enum": [
    string
  ],
  "default": value,
  "ref": string,
  "defs": {
    string: {
      object (Schema)
    },
    ...
  },
  "title": string,
  "minItems": string,
  "maxItems": string,

  // Union field _minimum can be only one of the following:
  "minimum": number
  // End of list of possible types for union field _minimum.

  // Union field _maximum can be only one of the following:
  "maximum": number
  // End of list of possible types for union field _maximum.
}
欄位
type

enum (Type)

這是必要旗標,資料類型。

properties

map (key: string, value: object (Schema))

選用。Type.OBJECT 的屬性。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

required[]

string

選用。Type.OBJECT 的必要屬性。

description

string

選用。資料說明。

items

object (Schema)

選用。Type.ARRAY 元素的結構定義。

nullable

boolean

選用。指出值是否可能為空值。

uniqueItems

boolean

選用。指出陣列中的項目不得重複。僅適用於 TYPE.ARRAY。

prefixItems[]

object (Schema)

選用。Type.ARRAY 初始元素的結構定義。

additionalProperties

object (Schema)

選用。可以是布林值或物件,可控制其他屬性的存在。

anyOf[]

object (Schema)

選用。值應根據清單中的任何 (一或多個) 子結構定義進行驗證。

enum[]

string

選用。可能的值為列舉格式的基本類型元素。範例:1. 我們可以將方向定義為:{type:STRING, format:enum, enum:["EAST", NORTH", "SOUTH", "WEST"]} 2. 我們可以將公寓號碼定義為:{type:INTEGER, format:enum, enum:["101", "201", "301"]}

default

value (Value format)

選用。資料的預設值。

ref

string

選用。允許架構節點之間的間接參照。此值應為根 defs 子項的有效參照。

舉例來說,下列結構定義會定義對名為「Pet」的結構節點的參照:

type: object
properties:
  pet:
    ref: #/defs/Pet
defs:
  Pet:
    type: object
    properties:
      name:
        type: string

「寵物」屬性的值是參照名為「寵物」的結構定義節點。詳情請參閱 https://json-schema.org/understanding-json-schema/structuring

defs

map (key: string, value: object (Schema))

選用。供 ref 使用的定義對應表。只能在結構定義的根層級使用。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

title

string

選用。結構定義的標題。

minItems

string (int64 format)

選用。Type.ARRAY 的元素數量下限。

maxItems

string (int64 format)

選用。Type.ARRAY 的元素數量上限。

聯集欄位 _minimum

_minimum 只能是下列其中一項:

minimum

number

選用。Type.INTEGER 和 Type.NUMBER 的最小值。

聯集欄位 _maximum

_maximum 只能是下列其中一項:

maximum

number

選用。Type.INTEGER 和 Type.NUMBER 的最大值。

PropertiesEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

JSON 表示法
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
欄位
聯集欄位 kind。值的類型。kind 只能是下列其中一個設定:
nullValue

null

代表空值。

numberValue

number

表示雙精度浮點數值。

stringValue

string

代表字串值。

boolValue

boolean

表示布林值。

structValue

object (Struct format)

代表結構化值。

listValue

array (ListValue format)

代表重複的 Value

結構

JSON 表示法
{
  "fields": {
    string: value,
    ...
  }
}
欄位
fields

map (key: string, value: value (Value format))

動態型別值的無序對應。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表示法
{
  "key": string,
  "value": value
}
欄位
key

string

value

value (Value format)

ListValue

JSON 表示法
{
  "values": [
    value
  ]
}
欄位
values[]

value (Value format)

動態型別值的重複欄位。

DefsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

DataStoreSettings

JSON 表示法
{
  "engines": [
    {
      object (Engine)
    }
  ]
}
欄位
engines[]

object (Engine)

僅供輸出。應用程式的引擎。

引擎

JSON 表示法
{
  "name": string,
  "type": enum (Type)
}
欄位
name

string

僅供輸出。引擎的資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}

type

enum (Type)

僅供輸出。引擎類型。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "disableDtmf": boolean,
  "disableBargeInControl": boolean,
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "noiseSuppressionLevel": string
}
欄位
profileId

string

選用。頻道設定檔的專屬 ID。

channelType

enum (ChannelType)

選用。頻道設定檔類型。

personaProperty

object (PersonaProperty)

選用。頻道個人資料的目標對象屬性。

disableDtmf

boolean

選用。是否停用 DTMF (雙音多頻)。

disableBargeInControl

boolean

選用。是否要在對話中停用使用者插話控制項。- true:代理程式說話時,系統會停用使用者中斷功能。- false:代理程式會保留自動控制權,決定使用者何時可以中斷。

webWidgetConfig

object (WebWidgetConfig)

選用。網頁小工具的設定。

noiseSuppressionLevel

string

選用。頻道設定檔的雜訊抑制等級。可用的值為「low」、「moderate」、「high」、「very_high」。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
欄位
persona

enum (Persona)

選用。頻道的角色。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
欄位
modality

enum (Modality)

選用。網頁小工具的模式。

theme

enum (Theme)

選用。網頁小工具的主題。

webWidgetTitle

string

選用。網頁小工具的標題。

securitySettings

object (SecuritySettings)

選用。網頁小工具的安全設定。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
欄位
enablePublicAccess

boolean

選用。指出是否已啟用網頁小工具的公開存取權。如果設為 true,網頁小工具就會公開。如為 false,網頁小工具必須與您自己的驗證和授權系統整合,才能傳回存取 CES 服務專員的有效憑證。

enableOriginCheck

boolean

選用。指出是否已啟用網頁小工具的來源檢查。如果 true,網頁小工具會檢查載入網頁小工具的網站來源,只允許在相同來源或任何允許的來源中載入。

allowedOrigins[]

string

選用。允許託管網頁小工具的來源。來源的定義請參閱 RFC 6454。如果留空,系統會允許所有來源。最多只能加入 100 個來源。例如:「https://example.com」

enableRecaptcha

boolean

選用。指出是否已啟用網頁小工具的 reCAPTCHA 驗證。

MetadataEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應至 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果第二個值為負數,且包含分數,奈秒值仍須為非負數,且會向前計時。必須介於 0 至 999,999,999 之間 (含)。

ClientCertificateSettings

JSON 表示法
{
  "tlsCertificate": string,
  "privateKey": string,
  "passphrase": string
}
欄位
tlsCertificate

string

這是必要旗標,以 PEM 格式編碼的 TLS 憑證。這個字串必須包含開頭標題和結尾頁尾行。

privateKey

string

這是必要旗標,儲存 PEM 格式編碼私密金鑰的 SecretManager 密鑰版本資源名稱。格式:projects/{project}/secrets/{secret}/versions/{version}

passphrase

string

選用。儲存通關密語的 SecretManager 密鑰版本資源名稱,用於解密私密金鑰。如果私密金鑰未加密,請將這個欄位留空。格式:projects/{project}/secrets/{secret}/versions/{version}

工具註解

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:❌